root = true

[*]
charset = utf-8
end_of_line = lf
insert_final_newline = true
trim_trailing_whitespace = true

[*.cs]
indent_style = space
indent_size = 4
dotnet_sort_system_directives_first = true
dotnet_diagnostic.CA2007.severity = none
csharp_style_namespace_declarations = file_scoped:warning

[*.{json,yml,yaml,ts,vue,css,md}]
indent_style = space
indent_size = 2
